﻿Option Strict On

Public Class frmListBoxCustomDraw
  Private Shared Sub ListBox1_DrawItem(sender As System.Object, e As System.Windows.Forms.DrawItemEventArgs) Handles ListBox1.DrawItem
    'highlight all even items
    If e.Index Mod 2 = 0 Then
      e.Graphics.FillRectangle(Brushes.LightGray, e.Bounds) 'draw custom background
    Else
      e.DrawBackground() 'draw standard background
    End If
    'draw text
    Dim text As String = CType(sender, ListBox).Items(e.Index).ToString()
    Dim textLocation As New System.Drawing.PointF(e.Bounds.X, e.Bounds.Y)
    e.Graphics.DrawString(text, e.Font, Brushes.Black, textLocation)
    e.DrawFocusRectangle()
  End Sub

  Private Sub btnDisable_Click(sender As System.Object, e As System.EventArgs) Handles btnDisable.Click
    'toggle enabled state
    ListBox1.Enabled = Not ListBox1.Enabled
    ListBox2.Enabled = Not ListBox2.Enabled
  End Sub
End Class
